<template>
  <v-row no-gutters>
    <v-col class="ma-5">
      <title-zone class="mb-10" title="Roles">
        <new-role-btn />
      </title-zone>
      <roles-table />
    </v-col>
  </v-row>
</template>

<script>
import { mapActions } from 'vuex';
import TitleZone from '~/components/Common/Page/TitleZone';
import RolesTable from '~/components/Company/Roles/RolesTable';
import NewRoleBtn from '~/components/Company/Roles/NewRoleBtn';

export default {
  name: 'Roles',
  components: {
    TitleZone,
    RolesTable,
    NewRoleBtn,
  },
  head: {
    title: 'Roles',
  },
  created() {
    this.setPage({ currentPage: 'roles' });
  },
  methods: {
    ...mapActions({
      setPage: 'route/pages/setCurrentPage',
    }),
  },
};
</script>
